Kerbal Space Program - Bug #3861

Pilot assist causes a constant & high resource drain
12/17/2014 04:52 AM - Katateochi

Status: Closed Start date: 12/17/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

With the exception of "stability assist", using the pilot to hold a heading results in a continual power drain and if you have RCS on
then mono-prop is constantly pumped out of all ports.

Without RCS on you can see the craft moves quickly back and forth over the required heading and looks like it's vibrating. Results in
power being drained very quickly. If you the switch RCS on you can see that all RCS ports fire in all directions. (reminiscent of
MechJeb from a long time ago).

| noticed it in career and wondered if it was a pilot skill thing, so | tried it in sandbox and the effect is the same with a 5 star pilot on
board.

Here's a picture of a simple test craft in sandbox http://imgur.com/DX3AQIl

The craft is trying to hold a prograde heading and you can see momo-prop coming out of all RCS ports. If you switch the craft to
"stability assist" mode then the resource drain stops and the heading is held just fine. Switch prograde back on and straight away it
starts hemorrhaging mono-prop and power again.

thread in support -
http:/forum.kerbalspaceprogram.com/threads/103461-Power-and-RCS-are-drained-very-fast-when-using-Pilot-controls

History

#1-12/17/2014 07:52 AM - Ted

- Severity changed from High to Normal

Thanks for the report, I've downgraded the priority as a High priority issue would be one that affects the accesibility of a feature of the game. Seeing
as the Pilot Abilities function - albeit it's a tad overzealous with its use of resources - this is more of a Normal priority issue.

#2 - 12/18/2014 10:40 AM - Ed_Gauss
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This issue, in extreme cases, causes the vessel to drift off the desired vector. The craft that suffers this can be found in the "Impending Impact”
scenario, as demonstrated in this video: http:/gfycat.com/IndolentThinFerret. This appears to happen to vessels with excessive SAS torque (as noted
by several community members in the above support thread).

| play on Linux myself and have encountered this bug, so this is probably platform independent.

#3 - 12/21/2014 03:59 PM - MalfunctionM1Ke

| have encountered this too.
The behaviour reminded me of the ASAS-Jitter back in the day before the system was overhauled.
Seems like the limits in which the craft tries to stay are too shallow if that makes any sense.

Anyhow, it is quite annoying when the "Pilot" sprays all the RCS into space because of this nervouse overreaction.
#4 - 01/03/2015 10:04 PM - jlarsen

Seems to be related to http://bugs.kerbalspaceprogram.com/issues/3932
As others mentioned (outside of bug tracker), that internally it seems to only use reaction wheel control to determine the torque of maneuvers while
ignoring RCS,fins. The system is then surprised when it turns sharper than it suspects so it overcorrects.

#5 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#6 - 07/17/2016 09:31 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 07/18/2016 04:45 AM - Ed_Gauss
- File Test Craft.craft added

https://gfycat.com/SlowLinearBetafish

Tested in Arch Linux (64 bit) with a fresh ksp 1.1.3 x64 install. Hardware is Intel Core i5-3570K processor and GeForce GTX 660 video card.

I've tested a bare MK1 pod and a bare OKTO probe core. The MK1 pod displays the symptoms of this bug the most, but the bare OKTO is affected
as well.

Craft file used in gif attached.

#8 - 07/18/2016 10:45 AM - TriggerAu

Thanks for the update Ed_Gauss, much appreciated

#9 - 08/09/2016 11:18 AM - TriggerAu
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

#10 - 11/11/2016 05:46 PM - sal_vager
- Status changed from Updated to Ready to Test
- % Done changed from 10 to 80

SAS saw a lot of work for 1.2, can you take a look please?

#11 - 11/16/2016 02:33 AM - Ed_Gauss
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

| just took a look. | made a craft with a MK1 pod, three 2.5m SAS modules, and a Z-4K battery into orbit. Vector hold works flawlessly, with minimal
EC usage. The craft in the "Impending Impact" scenario also works flawlessly. Both craft would have been affected by this bug, if it still existed.

As far as | can tell, this bug is fixed. Marking as Resolved. Thanks for fixing this!

#12 - 11/16/2016 09:56 AM - JPLRepo

- Status changed from Resolved to Closed

Files

Test Craft.craft 21.5 KB 07/18/2016 Ed_Gauss
